Subject: bug#53353: 29.0.50; spurious <tab-bar> <mouse-movement> events generated by mouse motion in tab-bar

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Jan 2022 09:52:24 +0200

> From: Po Lu <[email-masked]>
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> Date: Wed, 19 Jan 2022 09:56:09 +0800
> 
> Po Lu <[email-masked]> writes:
> 
> > What is the value of `track-mouse' when the bug occurs?  Thanks.
> 
> I can reproduce this problem by setting `track-mouse' to t.  IMO, the
> best solution would probably be to bind <tab-bar> <mouse-movement> to
> `ignore', like we do with the rest of the mouse movement events.
> 
> Eli, WDYT?

I'm not sure I understand: bind to 'ignore' where?

The usual protocol is that Lisp programs that enable mouse tracking
are those that bind mouse-movement events to 'ignore' as they see
fit.  If that is what you propose, then it follows that LSP should do
that if it doesn't want to support mouse-movement on the tab bar.